Bug 220453 - pyxdg wrongly requires %{python_sitelib}
pyxdg wrongly requires %{python_sitelib}
Product: Fedora
Classification: Fedora
Component: pyxdg (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-21 08:40 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.15-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-05 09:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-12-21 08:40:26 EST
Description of problem:

Version-Release number of selected component (if applicable):

As the summary says pyxdg wrongly requires %{python_sitelib}.
Maybe it was needed at some point, but I don't see a need now, since
it is owned by python pyxdg depends on. I can fix this issue and 
rebuild if you like.

I can also fix
W: pyxdg mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 3)
if you like

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 John Mahowald 2006-12-23 13:43:24 EST
I would appreciate the rebuild. It also should help with the unresolved python
2.4  deps I'm seeing on the devel branch.

I assume it's OK with spot?
Comment 2 Patrice Dumas 2006-12-23 15:17:21 EST
I've already rebuilt for python 2.5. I filled a ticket, and left
enough time for Spot to react, but he didn't... It is
Bug 219598
Comment 3 Tom "spot" Callaway 2006-12-29 21:23:47 EST
Sorry for the delayed response, holidays and all, I get yelled at when I try to
touch my computer. Feel free to rebuild this and close this bug out.
Comment 4 Patrice Dumas 2007-01-03 10:51:24 EST
I have commited the following changes:

- remove requires for python-abi (automatic now) and python directory
- remove package name from summary
- change tabs to spaces

I'll rebuild in 48 hours to let you say if you don't like some of 
these changes.
Comment 5 Patrice Dumas 2007-01-05 09:22:25 EST
It is rebuilt, reassign to myself and close.

Note You need to log in before you can comment on or make changes to this bug.